## org.apache.axis.utils
Class IOUtils

    java.lang.Object
      org.apache.axis.utils.IOUtils

public class IOUtils
extends java.lang.Object

Utility class containing IO helper methods

Method Summary
`static int` `readFully(java.io.InputStream in, byte[] b)` Read into a byte array; tries to ensure that the the full buffer is read.
`static int` `readFully(java.io.InputStream in, byte[] b, int off, int len)` Same as the normal `in.read(b, off, len)`, but tries to ensure that the entire len number of bytes is read.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### readFully

    public static int readFully(java.io.InputStream in,
                                byte[] b)
                         throws java.io.IOException

  Read into a byte array; tries to ensure that the the full buffer is read. Helper method, just calls `readFully(in, b, 0, b.length)`

  Throws:
    `java.io.IOException`
  See Also:
    `readFully(java.io.InputStream, byte[], int, int)`

### readFully

    public static int readFully(java.io.InputStream in,
                                byte[] b,
                                int off,
                                int len)
                         throws java.io.IOException

  Same as the normal `in.read(b, off, len)`, but tries to ensure that the entire len number of bytes is read.

  Throws:
    `java.io.IOException`

Copyright © 2005 Apache Web Services Project. All Rights Reserved.